Arnold Clark Caledonia North Region League Division 3 (Men's)
RAF Lossiemouth RFC – Inverness Craig Dunain RFC
۱۴ آذر ۱۴۰۵
رتبه در لیگ
RAF Lossiemouth RFCP 5 · W 4 · D 0 · L 1 · Pts 203 از 12
Inverness Craig Dunain RFCP 4 · W 3 · D 0 · L 1 · Pts 135 از 12
جدول کاملعملکرد اخیر
RAF Lossiemouth RFC
- Wvs Huntly RFC118–12
- W@ Dyce RFC105–12
- Wvs Deeside RFC26–22
- Wvs Peterhead RFC94–0
- L@ Aberdeen Wanderers RFC19–70
Inverness Craig Dunain RFC
- Lvs Aberdeen Wanderers RFC5–53
- W@ Turriff RFC55–33
- Wvs Dyce RFC122–12
- Wvs Caithness RFC 2nd XV86–27
رودررو
در نتایجی که داریم دیدار قبلی وجود ندارد.
